#version 450

layout (binding = 0) uniform HUDUniformBuffer {
	mat4 modelMatrix;
	vec4 color;
} ub_data;
layout (binding = 1) uniform sampler2D diffuse_texture;
layout (location = 0) in VertexData {
	vec2 positionWorld;
	vec2 textureCoordinates;
} frag_in;

layout (location = 0) out vec4 out_color;
void main() {
    vec4 tex = texture(diffuse_texture, frag_in.textureCoordinates);
	if(tex.a < 0.01f) {
		discard;
	}
	out_color = tex * ub_data.color;
}